/**
 * @file samv71_xplained_ultra.h
 * @brief SAMV71-Xplained-Ultra evaluation kit
 *
 * @section License
 *
 * Copyright (C) 2010-2018 Oryx Embedded SARL. All rights reserved.
 *
 * This file is part of CycloneTCP Eval.
 *
 * This software is provided in source form for a short-term evaluation only. The
 * evaluation license expires 90 days after the date you first download the software.
 *
 * If you plan to use this software in a commercial product, you are required to
 * purchase a commercial license from Oryx Embedded SARL.
 *
 * After the 90-day evaluation period, you agree to either purchase a commercial
 * license or delete all copies of this software. If you wish to extend the
 * evaluation period, you must contact sales@oryx-embedded.com.
 *
 * This evaluation software is provided "as is" without warranty of any kind.
 * Technical support is available as an option during the evaluation period.
 *
 * @author Oryx Embedded SARL (www.oryx-embedded.com)
 * @version 1.9.0
 **/

#ifndef _SAMV71_XPLAINED_ULTRA_H
#define _SAMV71_XPLAINED_ULTRA_H

//Dependencies
#include "samv71.h"

//LED0
#define LED0        PIO_PA23
#define PIO_LED0    PIOA
#define ID_PIO_LED0 ID_PIOA

//LED1
#define LED1        PIO_PC9
#define PIO_LED1    PIOC
#define ID_PIO_LED1 ID_PIOC

//SW0 button
#define SW0         PIO_PA9
#define PIO_SW0     PIOA
#define ID_PIO_SW0  ID_PIOA

//SW1 button
#define SW1         PIO_PB12
#define PIO_SW1     PIOB
#define ID_PIO_SW1  ID_PIOB

#endif
