/**
 * @file chipkit_pro_mx7.h
 * @brief Digilent chipKIT Pro MX7
 *
 * @section License
 *
 * Copyright (C) 2010-2018 Oryx Embedded SARL. All rights reserved.
 *
 * This file is part of CycloneTCP Eval.
 *
 * This software is provided in source form for a short-term evaluation only. The
 * evaluation license expires 90 days after the date you first download the software.
 *
 * If you plan to use this software in a commercial product, you are required to
 * purchase a commercial license from Oryx Embedded SARL.
 *
 * After the 90-day evaluation period, you agree to either purchase a commercial
 * license or delete all copies of this software. If you wish to extend the
 * evaluation period, you must contact sales@oryx-embedded.com.
 *
 * This evaluation software is provided "as is" without warranty of any kind.
 * Technical support is available as an option during the evaluation period.
 *
 * @author Oryx Embedded SARL (www.oryx-embedded.com)
 * @version 1.9.0
 **/

#ifndef _CHIPKIT_PRO_MX7_H
#define _CHIPKIT_PRO_MX7_H

//Dependencies
#include <p32xxxx.h>

//LEDs
#define LED1_MASK    (1 << 12)
#define LED2_MASK    (1 << 13)
#define LED3_MASK    (1 << 14)
#define LED4_MASK    (1 << 15)

//Push buttons
#define BTN1_MASK    (1 << 6)
#define BTN2_MASK    (1 << 7)
#define BTN3_MASK    (1 << 0)

//Ethernet PHY reset
#define PHY_RST_MASK (1 << 6)

#endif
