/**
 * @file devkit_mpc5748g.h
 * @brief DEVKIT-MPC5748G evaluation board
 *
 * @section License
 *
 * Copyright (C) 2010-2018 Oryx Embedded SARL. All rights reserved.
 *
 * This file is part of CycloneTCP Eval.
 *
 * This software is provided in source form for a short-term evaluation only. The
 * evaluation license expires 90 days after the date you first download the software.
 *
 * If you plan to use this software in a commercial product, you are required to
 * purchase a commercial license from Oryx Embedded SARL.
 *
 * After the 90-day evaluation period, you agree to either purchase a commercial
 * license or delete all copies of this software. If you wish to extend the
 * evaluation period, you must contact sales@oryx-embedded.com.
 *
 * This evaluation software is provided "as is" without warranty of any kind.
 * Technical support is available as an option during the evaluation period.
 *
 * @author Oryx Embedded SARL (www.oryx-embedded.com)
 * @version 1.9.0
 **/

#ifndef _DEVKIT_MPC5748G_H
#define _DEVKIT_MPC5748G_H

//Dependencies
#include "mpc5748g.h"

//USR_LED1 (PA10)
#define USR_LED1 10
//USR_LED2 (PA7)
#define USR_LED2 7
//USR_LED3 (PH13)
#define USR_LED3 125
//USR_LED4 (PC4)
#define USR_LED4 36
//USR_LED5 (PH5)
#define USR_LED5 117
//USR_LED6 (PJ4)
#define USR_LED6 148
//USR_LED7 (PA0)
#define USR_LED7 0
//USR_LED8 (PA4)
#define USR_LED8 4

//USR_SW1 button (PA3)
#define USR_SW1 3
//USR_SW2 button (PE12)
#define USR_SW2 76

#endif
